create database TravelInsurance;
GO
use TravelInsurance;
GO

create table Offer(
   Company VARCHAR(30) PRIMARY KEY,
   DailyYouth INTEGER NOT NULL,
   DailyMiddleage INTEGER NOT NULL,
   DailyAged INTEGER NOT NULL,
   DailyCar INTEGER NOT NULL,
   SecureSports TINYINT NOT NULL,
   SecureElectronics TINYINT NOT NULL
);

create table Insurance(
   Id INTEGER PRIMARY KEY IDENTITY(1,1) NOT NULL,
   TravelDate DATETIME NOT NULL,
   ReturnDate DATETIME NOT NULL,
   TotalCost INTEGER NOT NULL 
);

create table InsurancePerson(
   Id INTEGER PRIMARY KEY IDENTITY(1,1) NOT NULL,
   InsuranceId INTEGER NOT NULL,   
   Name VARCHAR(50) NOT NULL,
   Age INTEGER NOT NULL,
   PhoneNumber VARCHAR(30),
   Email VARCHAR(100)
);
GO

insert into Offer(Company, DailyYouth, DailyMiddleage, DailyAged, DailyCar, SecureSports, SecureElectronics) values ('Alliza', 420, 520, 390, 1250, 1, 1);
insert into Offer(Company, DailyYouth, DailyMiddleage, DailyAged, DailyCar, SecureSports, SecureElectronics) values ('Moneyal', 790, 660, 810, 1300, 1, 1);
insert into Offer(Company, DailyYouth, DailyMiddleage, DailyAged, DailyCar, SecureSports, SecureElectronics) values ('ABCDEgon', 390, 510, 560, 1310, 0, 1);
insert into Offer(Company, DailyYouth, DailyMiddleage, DailyAged, DailyCar, SecureSports, SecureElectronics) values ('Genralissimo', 550, 550, 220, 1670, 1, 0);
insert into Offer(Company, DailyYouth, DailyMiddleage, DailyAged, DailyCar, SecureSports, SecureElectronics) values ('XAXA', 330, 330, 380, 1900, 1, 1);
insert into Offer(Company, DailyYouth, DailyMiddleage, DailyAged, DailyCar, SecureSports, SecureElectronics) values ('Onion', 440, 510, 320, 990, 0, 0);
GO
